-- =============================================
-- Author:		Paolo Giovanetti
-- Create date: 15 gennaio 2009
-- Description:	riporta il valore complessivo dei prodotti attualmente destinati all'area 
--				di bisogno progetto (controvalore attuale) ed il relativo valore di rischio (VaR attuale)
-- =============================================
-- [C6MartPeriodico].[PL_MP_S134BISMonitoraggioLiqInv] 'F','CNTGCR68T31D458G'
CREATE      procedure [C6MartPeriodico].[PL_MP_FD134BISMonitoraggioLiqInv] --'F','LCNGNZ82P14H163B'
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	SELECT
		'Inv' AS NEED_AREA,
		CASE
			WHEN NOME_PROGETTO = 'XXX' THEN ''
			ELSE LTRIM(RTRIM(NOME_PROGETTO))
		END AS NOME_PROGETTO,
		ordinamento_progetto,
		DATA_ATTIVAZIONE AS DATAVALORIZZAZIONE,
		APPORTO_INIZIALE AS CONTROVALORE,
		APPORTO_INIZIALE  AS RISORSEASSOCIATE
	FROM C6MartPeriodico.MONITORAGGIO_ATTUALE mon
	--inner join C6StagingPeriodico.RP_Progetto_Robo robo
	--on mon.ordinamento_progetto=robo.chiaveProgetto
	WHERE RETE = @Rete
		AND COD_FISCALE = @CodiceFiscale
		and NOME_PROGETTO like '%Direct EVO%'
		--and APPORTO_INIZIALE<>'0.00'--- aggiunta 20221219 per 
	UNION
	SELECT
		'Inv',
		CASE
			WHEN NOME_PROGETTO = 'XXX' THEN ''
			ELSE LTRIM(RTRIM(NOME_PROGETTO))
		END AS NOME_PROGETTO,
		ordinamento_progetto,
		DATA_CTV,
		CTV_MONITORATO,
		ISNULL (RISORSE_ASSOCIATE, 0) -- ISNULL(CEDOLE_DIV, 0)
	FROM C6MartPeriodico.MONITORAGGIO_STORICO st
		--inner join C6StagingPeriodico.RP_Progetto_Robo robo
	--on st.ordinamento_progetto=robo.chiaveProgetto
	WHERE RETE = @Rete
		AND COD_FISCALE = @CodiceFiscale
		and NOME_PROGETTO like '%Direct EVO%'
	ORDER BY NEED_AREA, NOME_PROGETTO, DATAVALORIZZAZIONE
END